import dynamix_sdk.base as _base


class CloudapiLbFrontendBindingUpdateResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiLbFrontendBindingUpdateProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def frontend_binding_update(
        self,
        *,
        lb_id: int,
        frontend_name: str,
        binding_name: str,
        ip_addr: str,
        port: int,
    ) -> CloudapiLbFrontendBindingUpdateResultBool:
        ...
